      program main
      pi=3.14159
      f=3.39e-5
      distance=635000
      print *,'enter wind direction at first station'
      read *,dir1
      print *,'enter wind speed at first station'
      read *,speed1
      speed1=speed1*.514
      print *,'enter height at first station'
      read *,z1
      print *,'enter wind direction at second station'
      read *,dir2
      print *,'enter wind speed at second station'
      read *,speed2
      print *,'enter height at second station'
      read *,z2
      speed2=speed2*.514
      u1=speed1*cos(pi/180.*(270.-dir1))
      u2=speed2*cos(pi/180.*(270.-dir2))
      u=(u1+u2)*.5
      deltaz=abs(z1-z2)
      ug=(-9.8/f)*(deltaz/distance)
      print *,'u= ',u
      print *,'ug= ',ug
      end

 
